Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 27903 - Move org.netbeans.beaninfo.{awt,swing} out of core
Move org.netbeans.beaninfo.{awt,swing} out of core
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
PC Linux
: P3 (vote)
: 3.x
Assigned To: Jesse Glick
issues@platform
:
Depends on: 20663
Blocks: 17815
  Show dependency treegraph
 
Reported: 2002-10-10 02:33 UTC by Jesse Glick
Modified: 2008-12-22 23:40 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2002-10-10 02:33:28 UTC
What are these doing here? They should be part of
the form module.
Comment 1 Tomas Pavek 2002-10-10 12:45:08 UTC
I'm not quite sure how it is now, but there was a problem 
with Introspector which was not able to load BeanInfo 
classes for JDK classes from a module...
Comment 2 Jesse Glick 2002-10-10 13:23:45 UTC
I think issue #20663 should have fixed that.
Comment 3 Tomas Pavek 2002-10-10 13:36:29 UTC
Yes, it should work, I see now. So then no problem to move 
the BeanInfo classes to form module...
Comment 4 Jesse Glick 2002-11-07 21:06:34 UTC
Seems to work. Tested using the Form Editor in basic ways that I am
familiar with. Tested loading a 3.4-created form with a table model.

In directory core/src/org/netbeans/beaninfo/awt:
removed     * Up-To-Date  1.6        
core/src/org/netbeans/beaninfo/awt/Bundle.properties
removed     * Up-To-Date  1.12       
core/src/org/netbeans/beaninfo/awt/Bundle_ja.properties
removed     * Up-To-Date  1.9        
core/src/org/netbeans/beaninfo/awt/ButtonBeanInfo.java
removed     * Up-To-Date  1.7        
core/src/org/netbeans/beaninfo/awt/CanvasBeanInfo.java
removed     * Up-To-Date  1.9        
core/src/org/netbeans/beaninfo/awt/CheckboxBeanInfo.java
removed     * Up-To-Date  1.9        
core/src/org/netbeans/beaninfo/awt/ChoiceBeanInfo.java
removed     * Up-To-Date  1.11       
core/src/org/netbeans/beaninfo/awt/ComponentBeanInfo.java
removed     * Up-To-Date  1.11       
core/src/org/netbeans/beaninfo/awt/LabelBeanInfo.java
removed     * Up-To-Date  1.10       
core/src/org/netbeans/beaninfo/awt/ListBeanInfo.java
removed     * Up-To-Date  1.10       
core/src/org/netbeans/beaninfo/awt/MenuBarBeanInfo.java
removed     * Up-To-Date  1.9        
core/src/org/netbeans/beaninfo/awt/MenuComponentBeanInfo.java
removed     * Up-To-Date  1.8        
core/src/org/netbeans/beaninfo/awt/MenuItemBeanInfo.java
removed     * Up-To-Date  1.9        
core/src/org/netbeans/beaninfo/awt/PanelBeanInfo.java
removed     * Up-To-Date  1.10       
core/src/org/netbeans/beaninfo/awt/PopupMenuBeanInfo.java
removed     * Up-To-Date  1.9        
core/src/org/netbeans/beaninfo/awt/ScrollPaneBeanInfo.java
removed     * Up-To-Date  1.11       
core/src/org/netbeans/beaninfo/awt/ScrollbarBeanInfo.java
removed     * Up-To-Date  1.9        
core/src/org/netbeans/beaninfo/awt/TextAreaBeanInfo.java
removed     * Up-To-Date  1.8        
core/src/org/netbeans/beaninfo/awt/TextComponentBeanInfo.java
removed     * Up-To-Date  1.9        
core/src/org/netbeans/beaninfo/awt/TextFieldBeanInfo.java
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/awt/button.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/awt/canvas.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/awt/checkbox.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/awt/checkboxgroup.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/awt/choice.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/awt/label.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/awt/list.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/awt/menubar.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/awt/panel.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/awt/popupmenu.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/awt/scrollbar.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/awt/scrollpane.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/awt/textarea.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/awt/textfield.gif
In directory core/src/org/netbeans/beaninfo/editors:
committed   * Up-To-Date  1.56       
core/src/org/netbeans/beaninfo/editors/Bundle.properties
removed     * Up-To-Date  1.22       
core/src/org/netbeans/beaninfo/editors/CustomTableModelEditor.java
removed     * Up-To-Date  1.17       
core/src/org/netbeans/beaninfo/editors/TableModelEditor.java
In directory core/src/org/netbeans/beaninfo/swing:
removed     * Up-To-Date  1.3        
core/src/org/netbeans/beaninfo/swing/BISupport.java
removed     * Up-To-Date  1.5        
core/src/org/netbeans/beaninfo/swing/BevelBorderBeanInfo.java
removed     * Up-To-Date  1.3        
core/src/org/netbeans/beaninfo/swing/BorderLayoutBeanInfo.java
removed     * Up-To-Date  1.3        
core/src/org/netbeans/beaninfo/swing/BoxLayoutBeanInfo.java
removed     * Up-To-Date  1.4        
core/src/org/netbeans/beaninfo/swing/Bundle.properties
removed     * Up-To-Date  1.2        
core/src/org/netbeans/beaninfo/swing/Bundle_ja.properties
removed     * Up-To-Date  1.3        
core/src/org/netbeans/beaninfo/swing/CardLayoutBeanInfo.java
removed     * Up-To-Date  1.4        
core/src/org/netbeans/beaninfo/swing/CompoundBorderBeanInfo.java
removed     * Up-To-Date  1.5        
core/src/org/netbeans/beaninfo/swing/EmptyBorderBeanInfo.java
removed     * Up-To-Date  1.5        
core/src/org/netbeans/beaninfo/swing/EtchedBorderBeanInfo.java
removed     * Up-To-Date  1.3        
core/src/org/netbeans/beaninfo/swing/FlowLayoutBeanInfo.java
removed     * Up-To-Date  1.3        
core/src/org/netbeans/beaninfo/swing/GridBagLayoutBeanInfo.java
removed     * Up-To-Date  1.3        
core/src/org/netbeans/beaninfo/swing/GridLayoutBeanInfo.java
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/JDesktopPane.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/JDesktopPane32.gif
removed     * Up-To-Date  1.10       
core/src/org/netbeans/beaninfo/swing/JDesktopPaneBeanInfo.java
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/JLayeredPane.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/JLayeredPane32.gif
removed     * Up-To-Date  1.10       
core/src/org/netbeans/beaninfo/swing/JLayeredPaneBeanInfo.java
removed     * Up-To-Date  1.5        
core/src/org/netbeans/beaninfo/swing/LineBorderBeanInfo.java
removed     * Up-To-Date  1.5        
core/src/org/netbeans/beaninfo/swing/MatteBorderBeanInfo.java
removed     * Up-To-Date  1.5        
core/src/org/netbeans/beaninfo/swing/SoftBevelBorderBeanInfo.java
removed     * Up-To-Date  1.4        
core/src/org/netbeans/beaninfo/swing/TitledBorderBeanInfo.java
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/bevelBorder.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/bevelBorder32.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/borderLayout.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/borderLayout32.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/boxLayout.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/boxLayout32.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/cardLayout.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/cardLayout32.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/compoundBorder.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/compoundBorder32.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/emptyBorder.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/emptyBorder32.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/etchedBorder.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/etchedBorder32.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/flowLayout.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/flowLayout32.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/gridBagLayout.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/gridBagLayout32.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/gridLayout.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/gridLayout32.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/lineBorder.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/lineBorder32.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/matteBorder.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/matteBorder32.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/softBevelBorder.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/softBevelBorder32.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/titledBorder.gif
removed     * Up-To-Date  1.1        
core/src/org/netbeans/beaninfo/swing/titledBorder32.gif
In directory core/src/org/netbeans/core:
committed   * Up-To-Date  1.82       
core/src/org/netbeans/core/NonGui.java
In directory form:
committed   * Up-To-Date  1.41        form/build.xml
committed   * Up-To-Date  1.53        form/manifest.mf
In directory form/src:
In directory form/src/META-INF:
In directory form/src/META-INF/netbeans:
added       * Up-To-Date  1.1        
form/src/META-INF/netbeans/translate.names
In directory form/src/org:
In directory form/src/org/netbeans:
In directory form/src/org/netbeans/modules:
In directory form/src/org/netbeans/modules/form:
committed   * Up-To-Date  1.30       
form/src/org/netbeans/modules/form/BeanSupport.java
committed   * Up-To-Date  1.74       
form/src/org/netbeans/modules/form/FormEditorModule.java
committed   * Up-To-Date  1.32       
form/src/org/netbeans/modules/form/MetaComponentCreator.java
In directory form/src/org/netbeans/modules/form/beaninfo:
In directory form/src/org/netbeans/modules/form/beaninfo/awt:
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/Bundle.properties
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/Bundle_ja.properties
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/ButtonBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/CanvasBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/CheckboxBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/ChoiceBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/ComponentBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/LabelBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/ListBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/MenuBarBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/MenuComponentBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/MenuItemBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/PanelBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/PopupMenuBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/ScrollPaneBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/ScrollbarBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/TextAreaBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/TextComponentBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/TextFieldBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/button.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/canvas.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/checkbox.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/checkboxgroup.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/choice.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/label.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/list.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/menubar.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/panel.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/popupmenu.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/scrollbar.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/scrollpane.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/textarea.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/awt/textfield.gif
In directory form/src/org/netbeans/modules/form/beaninfo/swing:
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/BISupport.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/BevelBorderBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/BorderLayoutBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/BoxLayoutBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/Bundle.properties
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/Bundle_ja.properties
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/CardLayoutBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/CompoundBorderBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/EmptyBorderBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/EtchedBorderBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/FlowLayoutBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/GridBagLayoutBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/GridLayoutBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/JDesktopPane.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/JDesktopPane32.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/JDesktopPaneBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/JLayeredPane.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/JLayeredPane32.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/JLayeredPaneBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/LineBorderBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/MatteBorderBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/SoftBevelBorderBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/TitledBorderBeanInfo.java
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/bevelBorder.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/bevelBorder32.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/borderLayout.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/borderLayout32.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/boxLayout.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/boxLayout32.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/cardLayout.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/cardLayout32.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/compoundBorder.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/compoundBorder32.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/emptyBorder.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/emptyBorder32.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/etchedBorder.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/etchedBorder32.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/flowLayout.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/flowLayout32.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/gridBagLayout.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/gridBagLayout32.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/gridLayout.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/gridLayout32.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/lineBorder.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/lineBorder32.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/matteBorder.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/matteBorder32.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/softBevelBorder.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/softBevelBorder32.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/titledBorder.gif
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/beaninfo/swing/titledBorder32.gif
In directory form/src/org/netbeans/modules/form/editors2:
Message:  Parser Error: 'cvs diff: TableModelEditor.java is a new
entry, no comparison available'
committed   * Up-To-Date  1.12       
form/src/org/netbeans/modules/form/editors2/Bundle.properties
added       * Up-To-Date  1.1        
form/src/org/netbeans/modules/form/editors2/CustomTableModelEditor.java
committed   * Up-To-Date  1.8        
form/src/org/netbeans/modules/form/editors2/TableModelEditor.java
In directory form/src/org/netbeans/modules/form/resources:
committed   * Up-To-Date  1.53       
form/src/org/netbeans/modules/form/resources/layer.xml
In directory nbbuild:
committed   * Up-To-Date  1.256       nbbuild/build.xml


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo